#
# spec file for package dumpvdl2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dumpvdl2
Version:        1.3.0
Release:        lp150.1.1
Summary:        A VDL Mode 2 message decoder and protocol analyzer
License:        GPL-3.0
Group:          Productivity/Hamradio/Other
URL:            https://github.com/szpajder/dumpvdl2
#Git-Clone:     https://github.com/szpajder/dumpvdl2.git
Source:         https://github.com/szpajder/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(librtlsdr)

%description
A VDL Mode 2 message decoder and protocol analyzer.

Features:
 * Supports following SDR hardware:
   - RTLSDR (via rtl-sdr library)
   - Mirics SDR (via libmirisdr-4)
   - reads prerecorded IQ data from file
 * Decodes up to 8 VDL2 channels simultaneously
 * Outputs messages to standard output or to a file (with optional daily
   or hourly file rotation)
 * Outputs ACARS messages to PlanePlotter over UDP/IP socket
 * Supports message filtering by type or direction (uplink, downlink)
 * Outputs decoding statistics using Etsy StatsD protocol

%prep
%setup -q

%build
export CFLAGS='%{optflags}'
make %{?_smp_mflags}

%install
install -D -p -m 0755 dumpvdl2 %{buildroot}/%{_bindir}/dumpvdl2

%files
%doc FILTERING_EXAMPLES.md README.md LICENSE
%{_bindir}/dumpvdl2

%changelog
* Wed Apr 11 2018 mardnh@gmx.de
- Update to version 1.3.0
  * Added decoder for FANS-1/A ADS-C messages
  * Added decoder for FANS-1/A CPDLC messages
  * Human-readable formatting of CPDLC and Context Management
    messages (if you still want the old format, add --dump-asn1
    command line option)
  * Added install rule to Makefile
  * Added a sample systemd service file
  * Bug fixes
* Mon Jan  1 2018 mardnh@gmx.de
- Update to version 1.2.0
  * Better input signal filtering - reduced bit error rate, 10-50%% more
    messages successfully decoded.
  * SDRPlay: major bugfixes in sample buffer handling code - shall now
    perform equally well as RTLSDR (or even better).
  * SDRPlay: --gain knob replaced with --gr (gain reduction). This makes
    gain configuration in dumpvdl2 compatible with other SDRPlay apps.
    See README.md for details.
  * SDRPlay: support for selecting device by serial number.
    Added optional build-time PLATFORM knob which sets CPU-specific
  * compiler flags to optimize the code for various flavours of
    Raspberry Pi. Supported values: rpiv1, rpiv2, rpiv3.
  * Other minor bug fixes
- Remove patch:
  * dumpvdl2-obey-cflags.diff
* Wed Jun 28 2017 jengelh@inai.de
- Remove disputable/irrelevant wording from description.
* Tue Jun 20 2017 mardnh@gmx.de
- Update to version 1.1.0
  * Support for SDRPlay RSP1 and 2 using native binary API
  * Added dissector for ISO 8073/X.224 Connection-oriented Transport Protocol
  * Added dissectors for ICAO Context Management and CPDLC
  * Enhancements for ES-IS and XID dissectors
  * Support for referring to dongles using their serial numbers
  * Output formatting fixes
  * Bug fixes
- Rebase patch:
  * dumpvdl2-obey-cflags.diff
* Tue Jun 20 2017 mpluskal@suse.com
- Tiny packaging cleanup
* Mon Feb 27 2017 mardnh@gmx.de
- initial package
